package cn.com.countrygarden.bi.main.service.dataMigration;


import cn.com.countrygarden.bi.main.model.bd_psndoc;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * Created by ADMS on 2018/7/17.
 */
public interface BdPsndocService {
    /**
     * 从nc全量同步数据至dup
     */
    List<bd_psndoc> ncToDup(int pageIndex, int pageSize);

    void insertErrorInfo(Integer errorPageIndex, String errorMsg);

    JSONObject getAllReturnInfo(String url, int pageIndex, int pageSize);
    /**
     * 获取nc的总条数
     * @author ferren
     * @param
     * @return int
     */
    int getTotal();
    /**
     * 获取中间表的最大id数
     * @author ferren
     * @param
     * @return java.lang.Long
     */
    Long getTableMaxId();
    /**
     * 获取中间表中最小的id数
     * @author ferren
     * @param
     * @return java.lang.Long
     */
    Long getTableMinId();

    void updateBusnessData(Long startId, Long endId);

    void insertWillAdd(Long startId, Long endId);

    /**
     * 校验数据
     *
     * @return
     * @param startId 开始id
     * @param endId 结束id
     * @param total 总数
     */
    boolean verifyData(Long startId, Long endId, int total);
    /**
     * 清空中间表数据
     * @author ferren
     * @date 2019/7/3 15:01
     * @param
     * @return void
     */
    void truncateTableBdPsndocBak();
}
